# To execute, type "ruby employee.rb" at the command line
# (tested with Ruby 1.8.2)

class Employee
  def initialize(name, age)
  raise "Cannot be so young!" if age < 0
  raise "Cannot be so old!" unless age < 130
  @name, @age = name, age
  end
  
  def greet
    puts "Hi, my name is #{@name} and I am #{@age} years old"
  end
end

begin
  raise "Where are the parameters?" if ARGV.length < 2
  name, age = ARGV[0], ARGV[1].to_i
  employee = Employee.new(name, age)
  employee.greet
rescue
  puts "There was an error: " + $!
ensure
  puts "The program finished!"
end
